<?php 
session_start();
$pTipoUtilizador = $_SESSION['tipoUtilizador'];
if ($pTipoUtilizador=="anonymous" || $pTipoUtilizador=="regular") { // separa por tipo de utilizador
  require('headersubUsers.inc');
  require('menusubUsers.inc');
  echo "<meta http-equiv='refresh' content='0; url=../users.php' />";
  exit;  // os anonimos não têem acesso a esta página
}
else {
  require('headersubAdmins.inc');
  require('menusubAdmins.inc');
}
?>


<hr/>



<?php
require('loginsub.php');
?>


<center>
<h3 class="maketitle">Insert Drawer Authors</h3>
</center>

<hr/>

<?php
$pDrawerId       = $_POST['DrawerId'];
$pName           = $_POST['Name'];
$pVersion        = $_POST['Version'];
$pDescription    = $_POST['Description'];
$pURL            = $_POST['URL'];
$pEmail          = $_POST['Email'];
$pDateSubmission = $_POST['DateSubmission'];

//Vai obter o número de autores que já foram incluídos de forma a 
//apresentar essa informação, e depois de mostrar o formulário serve 
//para seleccionar o autor que se quer introduzir.
$sqlAuthorId = "SELECT authorId
                  FROM authordrawer
                 WHERE drawerId ='$pDrawerId'";

$resultadoAuthorId = mysql_query($sqlAuthorId,$ligacao);

$nlinhasAuthorId = mysql_num_rows($resultadoAuthorId);


echo "<!-- ficha -->";
echo "<table width='100%' bgcolor='white' cellpadding='4' cellspacing='4'>";
echo "<tr>";
echo "<td width='100%' colspan='8' align='center'>Geometric Drawers Info</td>";
echo "</tr>";
echo "<tr>";
echo "<tr>";
echo "<td width='25%' colspan='2'><span class='ficha'>Name</span></td>";
echo "<td width='37.5%' colspan='3'>$pName</td>";
echo "<td width='12.5%' colspan='1'><span class='ficha'>Version</span></td>";
echo "<td width='25%' colspan='2'>$pVersion</td>";
echo "</tr>";
echo "<tr>";
echo "<td width='25%' colspan='2'><span class='ficha'>Description</span></td>";
echo "<td width='75%' colspan='6'>$pDescription</td>";
echo "</tr>";
echo "<tr>";
echo "<td width='25%'colspan='2' ><span class='ficha'>URL (Drawer Home Page)</span> </td>";
echo "<td width='75%' colspan='6'><a href='$pURL'>$pURL</a></td>";
echo "</tr>";
echo "<tr>"; 
echo "<td width='25%'colspan='2' ><span class='ficha'>Email</span> </td>";
echo "<td width='75%' colspan='6'><a href='mailto:$pEmail'>$pEmail</a></td>";
echo "</tr>";
echo "<tr>"; 
echo "<td width='25%' colspan='2'><span class='ficha'>Date of Submission</span></td>";
echo "<td width='25%' colspan='2'>$pDateSubmission</td>"; 
echo "<td width='50%' colspan='4'> &nbsp; </td>"; 
echo "</tr>";
// E agora a informação referente aos autores
while ($linhaAuthorId = mysql_fetch_assoc($resultadoAuthorId)) { 
  //Vai-se buscar a informação do autor à tabela respectiva
  
  $pAuthorId = $linhaAuthorId['authorId'];
  $sqlAuthorInfo = "SELECT name,affiliation
                      FROM authors
                     WHERE authorId ='$pAuthorId'";

  $resultadoAuthorInfo = mysql_query($sqlAuthorInfo,$ligacao);
  $linhaAuthorInfo = mysql_fetch_assoc($resultadoAuthorInfo);
  $pAuthorName = $linhaAuthorInfo['name'];
  $pAuthorAffiliation = $linhaAuthorInfo['affiliation'];
  echo "<tr>";
  echo "<td width='25%'colspan='2' ><span class='ficha'>Author's Name</span> </td>";
  echo "<td width='75%' colspan='6'>$pAuthorName</td>";
  echo "</tr>";
  echo "<tr>"; 
  echo "<td width='25%'colspan='2' ><span class='ficha'>Author's Affiliation</span> </td>";
  echo "<td width='75%' colspan='6'>$pAuthorAffiliation</td>";
  echo "</tr>";
 }

// E agora o formulário para inserção de novos autores

$sql_NewAuthors = "SELECT authorId,name,email
                     FROM authors";
$resultado_NewAuthors = mysql_query($sql_NewAuthors,$ligacao);
echo "<form enctype='multipart/form-data' action='iInsertDrawerAuthor.php' method='post'>";
// A informação referente ao "Drawer" tem de ser passada como escondida.
echo "<input type='hidden' name='DrawerId' value='$pDrawerId'>";
echo "<input type='hidden' name='Name' value='$pName'>";
echo "<input type='hidden' name='Version' value='$pVersion'>";
echo "<input type='hidden' name='Description' value='$pDescription'>";
echo "<input type='hidden' name='URL' value='$pURL'>";
echo "<input type='hidden' name='Email' value='$pEmail'>";
echo "<input type='hidden' name='DateSubmission' value='$pDateSubmission'>";
// e agora a nova informação a ser introduzida
echo "<td width='25%' colsan='2'><span class='ficha'>Id & Name & Email</span></td>";
echo "<td width='50%' colspan='4'><span class='entrada'><SELECT NAME='IdNameEmail'>";
while ($linha_NewAuthors = mysql_fetch_assoc($resultado_NewAuthors)){
  $pNewAuthorId=trim($linha_NewAuthors['authorId']);
  $pNewAuthorName=trim($linha_NewAuthors['name']);
  $pNewAuthorEmail=trim($linha_NewAuthors['email']);
  print "<option> $pNewAuthorId -- $pNewAuthorName -- $pNewAuthorEmail</option>\n"; 
   };
echo "</SELECT>";
echo "</td>";
echo "<td width='25%' colspan='2'>&nbsp;</td>";
echo "</tr> ";
   echo "<tr>";
   echo "<td width='100%' colspan='8' align='center'><input type='submit' value='&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Submit New Author's info &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'></td>";
   echo "</tr>  ";
echo "</form>";
// Ou então acaba o processo de inserção de novos autores e volta para
// a página dos formulários
echo "</table>";
?>

<hr/>

<?php
  require('footer.inc');
?>

